This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 533244 - (Radeon, shaders, without, x1550) Cannot play quake because cant see enemies or weapons
Cannot play quake because cant see enemies or weapons
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nexuiz (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-05 14:06 EST by ufa
Modified: 2009-11-27 08:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-27 08:44:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Quake without shaders? (148.69 KB, image/jpeg)
2009-11-05 14:06 EST, ufa
no flags Details

  None (edit)
Description ufa 2009-11-05 14:06:33 EST
Created attachment 367683 [details]
Quake without shaders?

Hello,

I used to play Quake on my Fedora system with ati open drivers. it was somewhat unstable as my system used to hang from time to time in the game. 
As fedora 11 arrived, it became stable, but it seems that the driver of my video card (ATi radeon 1550) does not have shaders, but it used to have before, because I did play the game just fine, with the exceptions of system lock ups. 

 
I can start the game fine, but I cannot see my weapons nor the
enemies. I tried to play with the video configuration but it was a no
go :(

I am using Fedora 11 with a Radeon x1550 video board with open
drivers. The fps is great (about 70 - 80)

In this bugreport is a screenshot of what is happening. Note that there is
no weapon and no "zombies" on the wall, where they are supposed to be.

Here is the output of the game when I start it::

[ufa@blackpearl quake_darkplaces]$ ./darkplaces-linux-x86_64-sdl
DarkPlaces-Quake Linux 19:56:50 Jul  9 2009 - release
Trying to load library... "libz.so.1" - loaded.
Added packfile id1/pak0.pak (373 files)
Added packfile id1/pak1.pak (105 files)
Playing registered version.
Trying to load library... "libcurl.so.4" - loaded.
Failed to init SDL joystick subsystem:
Trying to load library... "libvorbis.so.0" - loaded.
Trying to load library... "libvorbisfile.so.3" - loaded.
Trying to load library... "libmodplug.so.0" - loaded.
Trying to load library... "libogg.so.0" - loaded.
Trying to load library... "libtheora.so.0" - loaded.
Trying to load library... "libvorbis.so.0" - loaded.
Trying to load library... "libvorbisenc.so.2" - loaded.
Trying to load library... "libOffscreenGecko.so"
"./libOffscreenGecko.so" - failed.
execing quake.rc
execing default.cfg
execing config.cfg
couldn't exec autoexec.cfg
Client using an automatically assigned port
Client opened a socket on address local:2
Client opened a socket on address 0.0.0.0:0
Client opened a socket on address [0:0:0:0:0:0:0:0]:0
Playing demo demo1.dem.
Initializing Video Mode: fullscreen 1440x900x32x60hz
Linked against SDL version 1.2.13
Using SDL library version 1.2.13
GL_VENDOR: DRI R300 Project
GL_RENDERER: Mesa DRI R300 (RV515 7146) 20090101  TCL
GL_VERSION: 1.4 Mesa 7.6-devel
0 SDL joystick(s) found:
Trying to load library... "libjpeg.so.62" - loaded.
Trying to load library... "libpng12.so.0" - loaded.
S_Startup: initializing sound output format: 48000Hz, 16 bit, 2 channels...
Wanted audio Specification:
       Channels  : 2
       Format    : 0x8010
       Frequency : 48000
       Samples   : 2048
Obtained audio specification:
       Channels  : 2
       Format    : 0x8010
       Frequency : 48000
       Samples   : 1024
Sound format: 48000Hz, 2 channels, 16 bits per sample
Found 1 cdrom drives.
No CD in drive 0.
CDAudio_Init: No CD in player.
Can't get initial CD volume
CD Audio Initialized


<===================================>

the Necropolis
No CD in player.
You got the shells
You got the Grenade Launcher
You receive 25 health
You get 2 rockets
Loading game from s3.sav...
Server using port 26000
Server listening on address local:1
Server listening on address 0.0.0.0:26000
Server listening on address [0:0:0:0:0:0:0:0]:26000
Loading csprogs.dat
Loading extended DarkPlaces savegame

Trying to connect...
"challenge +DRZaZtA<q'" received, sending connect request back to local:1
Got challenge response
Accepted

Connection accepted to local:1
--> client to server keepalive
<-- server to client keepalive

Server: DarkPlaces-Quake build 19:56:50 Jul  9 2009 - release (progs 51103 crc)

<===================================>

the Necropolis
No CD in player.
Loaded game, everyone rejoined - unpausing
You receive 25 health
uF4 joins the Zombies
Loading csprogs.dat
--> client to server keepalive
<-- server to client keepalive

Server: DarkPlaces-Quake build 19:56:50 Jul  9 2009 - release (progs 51103 crc)

<===================================>

Here is with -developer switch:

===========================================================================
[ufa@blackpearl quake_darkplaces]$ ./darkplaces-linux-x86_64-sdl -developer
Console initialized.
DarkPlaces-Quake Linux 19:56:50 Jul  9 2009 - release
Trying to load library... "libz.so.1" - loaded.
Added packfile id1/pak0.pak (373 files)
Added packfile id1/pak1.pak (105 files)
Playing registered version.
Trying to load library... "libcurl.so.4" - loaded.
Initializing client
Failed to init SDL joystick subsystem:
Trying to load library... "libvorbis.so.0" - loaded.
Trying to load library... "libvorbisfile.so.3" - loaded.
Trying to load library... "libmodplug.so.0" - loaded.
Trying to load library... "libogg.so.0" - loaded.
Trying to load library... "libtheora.so.0" - loaded.
Trying to load library... "libvorbis.so.0" - loaded.
Trying to load library... "libvorbisenc.so.2" - loaded.
Trying to load library... "libOffscreenGecko.so"
"./libOffscreenGecko.so" - failed.
execing quake.rc
execing default.cfg
execing config.cfg
couldn't exec autoexec.cfg
3 demo(s) in loop
CL_Disconnect
Host_ShutdownServer
Client using an automatically assigned port
Client opened a socket on address local:2
Client opened a socket on address 0.0.0.0:0
Client opened a socket on address [0:0:0:0:0:0:0:0]:0
Playing demo demo1.dem.
Initializing Video Mode: fullscreen 1440x900x16x60hz
Linked against SDL version 1.2.13
Using SDL library version 1.2.13
GL_VENDOR: DRI R300 Project
GL_RENDERER: Mesa DRI R300 (RV515 7146) 20090101  TCL
GL_VERSION: 1.4 Mesa 7.6-devel
GL_EXTENSIONS: GL_ARB_depth_texture GL_ARB_draw_buffers
GL_ARB_fragment_program GL_ARB_imaging GL_ARB_multisample
GL_ARB_multitexture GL_ARB_point_parameters GL_ARB_shadow
GL_ARB_shadow_ambient GL_ARB_texture_border_clamp
GL_ARB_texture_compression GL_ARB_texture_cube_map
GL_ARB_texture_env_add GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3
GL_MESAX_texture_float GL_ARB_texture_mirrored_repeat
GL_ARB_texture_rectangle GL_ARB_transpose_matrix
GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_window_pos
GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color
GL_EXT_blend_equation_separate GL_EXT_blend_func_separate
GL_EXT_blend_logic_op GL_EXT_blend_minmax GL_EXT_blend_subtract
GL_EXT_compiled_vertex_array GL_EXT_convolution GL_EXT_copy_texture
GL_EXT_draw_range_elements GL_EXT_fog_coord
GL_EXT_gpu_program_parameters GL_EXT_histogram
GL_EXT_multi_draw_arrays GL_EXT_packed_depth_stencil
GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_polygon_offset
GL_EXT_rescale_normal GL_EXT_secondary_color
GL_EXT_separate_specular_color GL_EXT_shadow_funcs
GL_EXT_stencil_two_side GL_EXT_stencil_wrap GL_EXT_subtexture
GL_EXT_texture GL_EXT_texture3D GL_EXT_texture_edge_clamp
GL_EXT_texture_env_add GL_EXT_texture_env_combine
GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic
GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp
GL_EXT_texture_object GL_EXT_texture_rectangle GL_EXT_vertex_array
GL_EXT_vertex_array_bgra GL_APPLE_packed_pixels
GL_ATI_blend_equation_separate GL_ATI_texture_env_combine3
GL_ATI_texture_mirror_once GL_ATI_separate_stencil
GL_IBM_multimode_draw_arrays GL_IBM_rasterpos_clip
GL_IBM_texture_mirrored_repeat GL_INGR_blend_func_separate
GL_MESA_pack_invert GL_MESA_ycbcr_texture GL_MESA_window_pos
GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texture_rectangle
GL_NV_texgen_reflection GL_NV_vertex_program GL_OES_read_format
GL_SGI_color_matrix GL_SGI_color_table GL_SGIS_generate_mipmap
GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp
GL_SGIS_texture_lod GL_SUN_multi_draw_arrays
SDL_EXTENSIONS:
checking for OpenGL 1.1 core features...  enabled
Checking OpenGL extensions...
checking for OpenGL 1.2 core features...  enabled
checking for GL_ARB_multitexture...  enabled
checking for GL_ARB_texture_env_combine...  enabled
checking for GL_ARB_texture_env_dot3...  enabled
checking for GL_EXT_texture3D...  enabled
checking for GL_ARB_texture_cube_map...  enabled
checking for GL_ARB_texture_compression...  enabled
checking for GL_EXT_compiled_vertex_array...  enabled
checking for GL_EXT_texture_edge_clamp...  enabled
checking for GL_EXT_texture_filter_anisotropic...  enabled
checking for GL_EXT_blend_minmax...  enabled
checking for GL_EXT_blend_subtract...  enabled
checking for OpenGL 2.0 core features...  not detected (OpenGL 1.4 loaded)
checking for GL_ATI_separate_stencil...  enabled
checking for GL_EXT_stencil_two_side...  enabled
checking for GL_ARB_vertex_buffer_object...  enabled
checking for GL_ARB_shader_objects...  not detected
checking for GL_ARB_occlusion_query...  not detected

QuakeC extensions for server and client: BX_WAL_SUPPORT DP_BUTTONCHAT
DP_BUTTONUSE DP_CL_LOADSKY DP_CON_ALIASPARAMETERS DP_CON_BESTWEAPON
DP_CON_EXPANDCVAR DP_CON_SET DP_CON_SETA DP_CON_STARTMAP
DP_CSQC_MULTIFRAME_INTERPOLATION DP_EF_ADDITIVE DP_EF_BLUE
DP_EF_DOUBLESIDED DP_EF_FLAME DP_EF_FULLBRIGHT DP_EF_NODEPTHTEST
DP_EF_NODRAW DP_EF_NOGUNBOB DP_EF_NOSELFSHADOW DP_EF_NOSHADOW
DP_EF_RED DP_EF_STARDUST DP_EF_TELEPORT_BIT DP_ENT_ALPHA
DP_ENT_COLORMOD DP_ENT_CUSTOMCOLORMAP DP_ENT_EXTERIORMODELTOCLIENT
DP_ENT_GLOW DP_ENT_LOWPRECISION DP_ENT_SCALE DP_ENT_VIEWMODEL
DP_GECKO_SUPPORT DP_GFX_EXTERNALTEXTURES
DP_GFX_EXTERNALTEXTURES_PERMAP DP_GFX_FOG DP_GFX_QUAKE3MODELTAGS
DP_GFX_SKINFILES DP_GFX_SKYBOX DP_GFX_MODEL_INTERPOLATION
DP_HALFLIFE_MAP DP_HALFLIFE_MAP_CVAR DP_HALFLIFE_SPRITE
DP_INPUTBUTTONS DP_LITSPRITES DP_LITSUPPORT DP_MONSTERWALK
DP_MOVETYPEBOUNCEMISSILE DP_MOVETYPEFOLLOW DP_NULL_MODEL
DP_QC_ASINACOSATANATAN2TAN DP_QC_CHANGEPITCH DP_QC_CMD
DP_QC_COPYENTITY DP_QC_CRC16 DP_QC_CVAR_DEFSTRING
DP_QC_CVAR_DESCRIPTION DP_QC_CVAR_STRING DP_QC_CVAR_TYPE
DP_QC_EDICT_NUM DP_QC_ENTITYDATA DP_QC_ETOS DP_QC_EXTRESPONSEPACKET
DP_QC_FINDCHAIN DP_QC_FINDCHAIN_TOFIELD DP_QC_FINDCHAINFLAGS
DP_QC_FINDCHAINFLOAT DP_QC_FINDFLAGS DP_QC_FINDFLOAT DP_QC_FS_SEARCH
DP_QC_GETLIGHT DP_QC_GETSURFACE DP_QC_GETSURFACEPOINTATTRIBUTE
DP_QC_GETTAGINFO DP_QC_GETTAGINFO_BONEPROPERTIES DP_QC_GETTIME
DP_QC_GETTIME_CDTRACK DP_QC_MINMAXBOUND DP_QC_MULTIPLETEMPSTRINGS
DP_QC_NUM_FOR_EDICT DP_QC_RANDOMVEC DP_QC_SINCOSSQRTPOW DP_QC_STRFTIME
DP_QC_STRINGBUFFERS DP_QC_STRINGBUFFERS_CVARLIST
DP_QC_STRINGCOLORFUNCTIONS DP_QC_STRING_CASE_FUNCTIONS
DP_QC_STRREPLACE DP_QC_TOKENIZEBYSEPARATOR DP_QC_TOKENIZE_CONSOLE
DP_QC_TRACEBOX DP_QC_TRACETOSS DP_QC_TRACE_MOVETYPE_HITMODEL
DP_QC_TRACE_MOVETYPE_WORLDONLY DP_QC_UNLIMITEDTEMPSTRINGS
DP_QC_URI_ESCAPE DP_QC_URI_GET DP_QC_VECTOANGLES_WITH_ROLL
DP_QC_VECTORVECTORS DP_QC_WHICHPACK DP_QUAKE2_MODEL DP_QUAKE2_SPRITE
DP_QUAKE3_MAP DP_QUAKE3_MODEL DP_REGISTERCVAR
DP_SND_DIRECTIONLESSATTNNONE DP_SND_FAKETRACKS DP_SND_OGGVORBIS
DP_SND_STEREOWAV DP_SOLIDCORPSE DP_SPRITE32 DP_SV_BOTCLIENT
DP_SV_BOUNCEFACTOR DP_SV_CLIENTCOLORS DP_SV_CLIENTNAME DP_SV_CMD
DP_SV_CUSTOMIZEENTITYFORCLIENT DP_SV_DRAWONLYTOCLIENT DP_SV_DROPCLIENT
DP_SV_EFFECT DP_SV_ENTITYCONTENTSTRANSITION
DP_SV_MODELFLAGS_AS_EFFECTS DP_SV_MOVETYPESTEP_LANDEVENT
DP_SV_NETADDRESS DP_SV_NODRAWTOCLIENT DP_SV_ONENTITYNOSPAWNFUNCTION
DP_SV_ONENTITYPREPOSTSPAWNFUNCTION DP_SV_PING DP_SV_PLAYERPHYSICS
DP_SV_POINTPARTICLES DP_SV_POINTSOUND DP_SV_PRECACHEANYTIME
DP_SV_PRINT DP_SV_PUNCHVECTOR DP_SV_QCSTATUS DP_SV_ROTATINGBMODEL
DP_SV_SETCOLOR DP_SV_SHUTDOWN DP_SV_SLOWMO DP_SV_SPAWNFUNC_PREFIX
DP_SV_WRITEPICTURE DP_SV_WRITEUNTERMINATEDSTRING DP_TE_BLOOD
DP_TE_BLOODSHOWER DP_TE_CUSTOMFLASH DP_TE_EXPLOSIONRGB DP_TE_FLAMEJET
DP_TE_PARTICLECUBE DP_TE_PARTICLERAIN DP_TE_PARTICLESNOW
DP_TE_PLASMABURN DP_TE_QUADEFFECTS1 DP_TE_SMALLFLASH DP_TE_SPARK
DP_TE_STANDARDEFFECTBUILTINS DP_TRACE_HITCONTENTSMASK_SURFACEINFO
DP_VIEWZOOM EXT_BITSHIFT FRIK_FILE FTE_QC_CHECKPVS FTE_STRINGS
KRIMZON_SV_PARSECLIENTCOMMAND NEH_CMD_PLAY2 NEH_RESTOREGAME
NEXUIZ_PLAYERMODEL NXQ_GFX_LETTERBOX PRYDON_CLIENTCURSOR
TENEBRAE_GFX_DLIGHTS TW_SV_STEPCONTROL ZQ_PAUSE
QuakeC extensions for menu: BX_WAL_SUPPORT DP_CINEMATIC_DPV
DP_FONT_VARIABLEWIDTH DP_GECKO_SUPPORT DP_MENU_EXTRESPONSEPACKET
DP_QC_ASINACOSATANATAN2TAN DP_QC_CMD DP_QC_CRC16 DP_QC_CVAR_TYPE
DP_QC_CVAR_DESCRIPTION DP_QC_FINDCHAIN_TOFIELD DP_QC_RENDER_SCENE
DP_QC_STRFTIME DP_QC_STRINGBUFFERS DP_QC_STRINGBUFFERS_CVARLIST
DP_QC_STRINGCOLORFUNCTIONS DP_QC_STRING_CASE_FUNCTIONS
DP_QC_STRREPLACE DP_QC_TOKENIZEBYSEPARATOR DP_QC_TOKENIZE_CONSOLE
DP_QC_UNLIMITEDTEMPSTRINGS DP_QC_URI_ESCAPE DP_QC_URI_GET
DP_QC_WHICHPACK FTE_STRINGS
0 SDL joystick(s) found:
GL_MAX_ELEMENTS_VERTICES = 3000
GL_MAX_ELEMENTS_INDICES = 3000
GL_MAX_TEXTUREUNITS = 8
OpenGL backend started.
Trying to load library... "libjpeg.so.62" - loaded.
Trying to load library... "libpng12.so.0" - loaded.
S_Startup: initializing sound output format: 48000Hz, 16 bit, 2 channels...
SndSys_Init: using the SDL module
Wanted audio Specification:
       Channels  : 2
       Format    : 0x8010
       Frequency : 48000
       Samples   : 2048
Obtained audio specification:
       Channels  : 2
       Format    : 0x8010
       Frequency : 48000
       Samples   : 1024
Sound format: 48000Hz, 2 channels, 16 bits per sample
Found 1 cdrom drives.
No CD in drive 0.
CDAudio_Init: No CD in player.
Can't get initial CD volume
CD Audio Initialized
========Initialized=========
Serverinfo packet received.
Server protocol is QUAKEDP


<===================================>

the Necropolis
Mem_Free: data == NULL (called at model_shared.c:429)Mem_Free: data ==
NULL (called at model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)No CD in player.
Mem_Free: data == NULL (called at model_shared.c:429)Mem_Free: data ==
NULL (called at model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)You got the shells
You got the Grenade Launcher
Loading game from s3.sav...
CL_Disconnect
SpawnServer: e1m3
checking model maps/e1m3.bsp
Require all of:
Server using port 26000
Server listening on address local:1
Server listening on address 0.0.0.0:26000
Server listening on address [0:0:0:0:0:0:0:0]:26000
server programs occupy 400K.
Loading csprogs.dat
Mem_Free: data == NULL (called at model_shared.c:429)Mem_Free: data ==
NULL (called at model_shared.c:429)Mem_Free: data == NULL (called at
model_shared.c:429)server: 579 new entities parsed, 41 new inhibited,
317 (538 new) spawned (whereas 228 removed self, 310 stayed)
Server spawned.
Loading extended DarkPlaces savegame

Trying to connect...
"challenge AD$tO8IkSVR" received, sending connect request back to local:1
Got challenge response
Client local:2 connected
Accepted

CL_Disconnect
Connection accepted to local:1
--> client to server keepalive
<-- server to client keepalive

Server: DarkPlaces-Quake build 19:56:50 Jul  9 2009 - release (progs
51103 crc)Serverinfo packet received.
Server protocol is DP7


<===================================>





Version-Release number of selected component (if applicable):

up-to-dated Xorg and ati open driver (all system is updated)


How reproducible:
Always


Steps to Reproduce:
1. Start the game
2. Cannot see enemies and weapons
  
Actual results:
No enemies and no weapons


Expected results:
Plenty of weapons and zombies all around :)



Additional info:
It used to work in Fedora 10, but with system lockups
Comment 1 Adam Williamson 2009-11-26 12:14:53 EST
There's an upstream bug about this:

http://bugs.freedesktop.org/show_bug.cgi?id=22743

which refers to this fix in libdrm:

http://cgit.freedesktop.org/mesa/drm/commit/?id=cdd325b59a17a614b90fc2f8b388175e6d79e3cf

Re-assigning to libdrm and Dave. Dave, is it trivial to add this fix to F11 and F12?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Adam Williamson 2009-11-26 12:23:39 EST
actually, that fix appears to be incidental, and the 'real' fix is in Nexuiz, it seems. See the comments from Forest Hale on the upstream bug. It looks like you should be able to backport a patch from darkplaces SVN.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 ufa 2009-11-27 08:44:56 EST
Seems it is working now on Fedora 12. This bug can be close now :)

Thank you guys for the brilliant work! \0/

Note You need to log in before you can comment on or make changes to this bug.